etbemon (1.4.1-2) unstable; urgency=medium

  * Fixed a font error in mon.8
  * Removed the /etc/default/mon ENABLED setting
  * Removed obsolete url in copyright
  * Removed national encoding (high ASCII) in README.Debian and
    README.syslog.monitor
  * Pre-depend on adduser Closes: #1104576
  * Made local-syslog.monitor fail when it can't open log file Closes: #787766
  * Made http_tppnp.monitor use /var/lib/mon instead of /tmp Closes: #824979
  * Removed old FSF postal address from copyright

 -- Russell Coker <russell@coker.com.au>  Sun, 25 May 2025 15:57:51 +1000

etbemon (1.4.1-1) unstable; urgency=medium

  * Added extra capabilities in systemd to match what SE Linux allows for local
    tests, fixes a bug in smart tests
  * Moved service file to /usr/lib/systemd/system Closes: #1073696
  * Changed &hostname; to hostname();  Closes: #932858
  * Made imap.monitor allow specifying user/pass, support ssl, and use strict
    Thanks for the patches Dennis Boone.  Closes: #664016
  * Made mail.alert use ISO date format thanks Jari Aalto.  Also use strict.
    Closes: #551730
    Same for mailxmpp.alert and mailxmpp.alert
  * Changes to mon.8 from Jari Aalto  Closes: #551731

 -- Russell Coker <russell@coker.com.au>  Tue, 03 Sep 2024 22:00:45 +1000

etbemon (1.4.0-1) unstable; urgency=medium

  * Add systemd security features to the service file

 -- Russell Coker <russell@coker.com.au>  Wed, 24 Jul 2024 18:19:55 +1000

etbemon (1.3.8-1) unstable; urgency=medium

  * Made loadavg.monitor check for Dirty memory (Linux kernel write back cache)
  * Add comment to freespace.monitor about needing libsys-filesystem-perl
  * Made sslcert.monitor support X509v3 Subject Alternative Name and wildcard DNS

 -- Russell Coker <russell@coker.com.au>  Sat, 23 Dec 2023 13:15:03 +1100

etbemon (1.3.7-1) unstable; urgency=medium

  * Made sslcert.monitor not give duplicate results for multiple A records
  * Added xmpp.monitor to test basic xmpp DNS and connectivity
    Thanks Martin Dosch for the idea
  * Make deleted-mapped.monitor ignore /var/log/journal for systemd bug
  * Make btrfs check give an error if 0 errors and minimum error count >0
  * Changed the ps.monitor check to handle lua5.4 interpreter
  * Change Debian source format to 3.0 quilt
  * New version release to fix Debian upload problem
  * Made freespace.monitor show output in MiB as well as GiB

 -- Russell Coker <russell@coker.com.au>  Sun, 26 Mar 2023 13:07:52 +1100

etbemon (1.3.6-5) unstable; urgency=medium

  * Make mailxmpp.alert use go-sendxmpp instead of sendxmpp

 -- Russell Coker <russell@coker.com.au>  Mon, 13 Mar 2023 18:17:06 +1100

etbemon (1.3.6-4) unstable; urgency=medium

  * Make smartctl.monitor show the amount of data written, the device running
    time, and the percentage of use for SSDs

 -- Russell Coker <russell@coker.com.au>  Sat, 25 Feb 2023 19:26:25 +1100

etbemon (1.3.6-3) unstable; urgency=medium

  * dell-temp.monitor checks for Error from omreport
  * Ignore sudo in the deleted-mapped checks

 -- Russell Coker <russell@coker.com.au>  Fri, 03 Jun 2022 10:45:31 +1000

etbemon (1.3.6-2) unstable; urgency=medium

  * Removed the ignore option from linux-temp.monitor because it didn't work
    properly and made it correctly log the section.
  * Removed debugging code from hplog.helper.cpp that I accidentally released
    in 1.3.6.

 -- Russell Coker <russell@coker.com.au>  Fri, 18 Feb 2022 14:05:10 +1100

etbemon (1.3.6-1) unstable; urgency=medium

  * Made sslcert.monitor give better logging for a name with multiple IPs
  * Made hp-temp.monitor work properly and give better error messages
  * Add dell-temp.monitor for Dell servers
  * Add -x option to ps.monitor to show what perl thinks the process name is

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Jan 2022 09:21:17 +1100

etbemon (1.3.5-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Aurelien Jarno to fix FTBFS with glibc 2.32.
    (Closes: #992896, #997898)

 -- Adrian Bunk <bunk@debian.org>  Thu, 09 Dec 2021 20:05:25 +0200

etbemon (1.3.5-8) unstable; urgency=medium

  * Add selinux.monitor, currently checks for permissive mode and processes
    in initrc_t.

 -- Russell Coker <russell@coker.com.au>  Mon, 08 Nov 2021 13:26:44 +1100

etbemon (1.3.5-7) unstable; urgency=medium

  * Suggests libdbd-mysql-perl for msql-mysql.monitor.
  * Uncommented the line in hp-temp.monitor that does the real work.
 -- Russell Coker <russell@coker.com.au>  Tue, 24 Aug 2021 16:49:29 +1000

etbemon (1.3.5-6) unstable; urgency=medium

  * Better fix for headers in imapnew.monitor that doesn't need
    libhash-case-perl.
  * Added hp-temp.monitor to use /sbin/hplog to monitor HP server temperature
  * Added -M option to smartctl.monitor for MegaRAID AKA PERC support and
    added support for NVMe devices

 -- Russell Coker <russell@coker.com.au>  Mon, 07 Jun 2021 16:34:01 +1000

etbemon (1.3.5-5) unstable; urgency=medium

  * Make the deleted-mapped check avoid perl privsep processes, don't want
    to force users to logout to pass the check
  * Made imapnew.monitor give a correct error when a message has no Message-Id
    also made it do case-insensitive checks on header field names.  Now
    recommends libhash-case-perl as imapnew.monitor depends on it.

 -- Russell Coker <russell@coker.com.au>  Mon, 05 Apr 2021 18:28:52 +1000

etbemon (1.3.5-4) unstable; urgency=medium

  * Make deleted-mapped.monitor skip programs starting with /lib/systemd/system.
    Add -u option to specify maximum UID to check, default 999.

 -- Russell Coker <russell@coker.com.au>  Mon, 22 Feb 2021 16:18:05 +1100

etbemon (1.3.5-3) unstable; urgency=medium

  * Support "python3" and "python3.9" as interpreters for ps.monitor.
  * Don't warn from deleted-mapped.monitor.real when process exits before
    we can open the map file.

 -- Russell Coker <russell@coker.com.au>  Tue, 19 Jan 2021 18:04:35 +1100

etbemon (1.3.5-2) unstable; urgency=medium

  * Update loadavg.monitor to display PSI cgroup2 data to show which cgroups
    are responsible for high load average.

 -- Russell Coker <russell@coker.com.au>  Wed, 06 Jan 2021 08:52:30 +1100

etbemon (1.3.5-1) unstable; urgency=medium

  * Add smartctl.monitor to run smartctl and parse it's output.
  * New minor version for new test and the other small changes.

 -- Russell Coker <russell@coker.com.au>  Sun, 20 Dec 2020 11:10:47 +1100

etbemon (1.3.4-5) unstable; urgency=medium

  * Make sslcert test deal with hosts that lack an IPv6 or an IPv4 record.

 -- Russell Coker <russell@coker.com.au>  Fri, 11 Dec 2020 11:30:34 +1100

etbemon (1.3.4-4) unstable; urgency=medium

  * Made freespace.monitor check for filesystem that wasn't mounted, recommend
    libsys-filesystem-perl for this.
  * Made sslcert.monitor check all A and AAAA records for a name by default.
    Added -4 option for IPv4 only.

 -- Russell Coker <russell@coker.com.au>  Thu, 10 Dec 2020 22:41:58 +1100

etbemon (1.3.4-3) unstable; urgency=medium

  * Made linux-temp.monitor send stderr of /usr/bin/sensors to /dev/null.
  * Made ps.monitor give more detail

 -- Russell Coker <russell@coker.com.au>  Thu, 21 May 2020 11:58:42 +1000

etbemon (1.3.4-2) unstable; urgency=medium

  * Update comments in deleted-mapped.monitor.real
  * Change VCS dirs in control
  * Change smtpswaks.monitor to have a space between "-S" and "2" as the latest
    version of swaks requires.

 -- Russell Coker <russell@coker.com.au>  Sun, 05 Apr 2020 09:39:09 +1000

etbemon (1.3.4-1) unstable; urgency=medium

  * Added monitor for deleted mapped files for detecting upgraded shared
    objects
  * Change Standards version to 4.3.0

 -- Russell Coker <russell@coker.com.au>  Sun, 02 Feb 2020 18:13:30 +1100

etbemon (1.3.3-6) unstable; urgency=medium

  * Add SUID helper for zfs and for deleted-mapped.monitor
  * Made deleted-mapped.monitor ignore /dev/zero as memory mapped usage
    routinely reports that as deleted.

 -- Russell Coker <russell@coker.com.au>  Mon, 06 Jan 2020 19:59:16 +1100

etbemon (1.3.3-5) unstable; urgency=medium

  * Made loadavg.monitor check swap space and made the output nicer.
  * Made linux-temp.monitor display processes with top CPU use and give better
    summary.
  * Give better log errors from mon on userfile auth failures.
  * Added password authentication support to remote.monitor
  * Added deleted-mapped.monitor that checks for files that are memory mapped
    but have been deleted, experimental and may get false positives.  Designed
    to deal with security updates to shared objects that are in use.

 -- Russell Coker <russell@coker.com.au>  Mon, 06 Jan 2020 17:04:00 +1100

etbemon (1.3.3-4) unstable; urgency=medium

  * Make dns.monitor correctly display a summary when multiple queries are used
  * Stop loadavg.monitor from saying "Text read from file"
  * Make ps.monitor also check for lua5.2
  * Link btrfs.helper with gcc instead of g++ to reduce dependencies.
  * Better comments in auth.cf and README.traps
  * Better logging of trap password issues
  * Fixed a username bug in trap.alert
  * imapnew.monitor now deletes messages even if there is a delay or clock skew
  * Make btrfs.monitor correctly handle count files and have better comments.
  * Fix the build to clean up the compiled helper programs, and build with
    correct diff.  Closes: #909854
  * Make trapbind default to 127.0.0.1.  Closes: #910741
  * Fix README.monitors.  Closes: #910743

 -- Russell Coker <russell@coker.com.au>  Tue, 30 Apr 2019 20:38:26 +1000

etbemon (1.3.3-3) unstable; urgency=medium

  * Make btrfs.monitor check for subvols and also use a SETUID helper instead
    of sudo

 -- Russell Coker <russell@coker.com.au>  Mon, 23 Jul 2018 15:24:34 +1000

etbemon (1.3.3-2) unstable; urgency=medium

  * Don't abort mon.cgi when $ONDS{$group} is invalid
  * Removed defined() around hash and array checks not supported in recent perl
  * Check Received: headers for long delays and clock skew in imapnew.monitor

 -- Russell Coker <russell@coker.com.au>  Wed, 11 Jul 2018 01:40:04 +1000

etbemon (1.3.3-1) unstable; urgency=medium

  * Added SNI support to sslcert.monitor.
  * New upstream version because the previous 2 Debian releases have enough
    changes to make it worthwhile.

 -- Russell Coker <russell@coker.com.au>  Wed, 16 May 2018 16:16:54 +1000

etbemon (1.3.2-3) unstable; urgency=medium

  * Make smtpswaks.monitor use long form swaks arguments for ease of searching
    the man page
  * Made mailxmpp.alert set a CPU time limit

 -- Russell Coker <russell@coker.com.au>  Mon, 01 Jan 2018 15:25:22 +1100

etbemon (1.3.2-2) unstable; urgency=medium

  * Conflict with mon-contrib (<= 1.0+dfsg-3+nmu1), Closes: #876088
  * Use dh_installsystemd to comply with latest debhelper, Closes: #878850
  * Recommends libtimedate-perl for imap test
  * Added support for authentication to smtpswaks.monitorm, for relay tests.

 -- Russell Coker <russell@coker.com.au>  Thu, 07 Dec 2017 01:57:42 +1100

etbemon (1.3.2-1) unstable; urgency=medium

  * Made http.monitor use strict and made it not give an error if the server
    doesn't close the connection after sending the data.
  * Made dns.monitor give a more detailed summary.
  * Made zfs.monitor give a summary of the error count when it's deemed to be
    OK.
  * Rename softraid2.monitor to softraid.monitor
  * Make freespace.monitor check for Inodes free if filesystem supports it
    and recommend libfilesys-df-perl which it now uses.
  * Remove all configuration options from /etc/default/mon for Debian and put
    them in the sample mon.cf file.
  * Moved sample configuration files out of the debian directory for the
    benefit of other distributions.
  * Added new systemd subdirectory for systemd config files
  * Added systemd service file and use debhelper compat level 11 to get
    automatic dh_systemd stuff
  * Rewrote sslcert.monitor in perl and made it give better messages and also
    status on no error.
  * Made loadavg.monitor not display D status heading if there are no D state
    processes, only display the first 120 characters of the process details,
    and not display processes using less than 5% CPU.
  * Made mailxmpp.alert use TLS for XMPP

 -- Russell Coker <russell@coker.com.au>  Sun, 17 Sep 2017 16:19:34 +1000

etbemon (1.3.1-1) unstable; urgency=medium

  * Fixed up the hack for freespace.monitor.
  * Stop using quilt as upstream will be identical to Debian in almost all
    cases.
  * Made remote.monitor correctly report an error on connect timeout
    Closes: #870239
    Made the exclude option on remote.monitor work correctly
  * Made loadavg.monitor correctly sort by CPU time and ignore 0.0% and ps
    header Closes: #870238
  * Removed the hack for freespace.monitor
  * Changed the summary-len in monshow to 80, as we already line wrap on a
    80 column terminal might as well go big
  * Made the password option in msql-mysql.monitor read from a file if the
    first character is /

 -- Russell Coker <russell@coker.com.au>  Thu, 10 Aug 2017 10:42:03 +1000

etbemon (1.3.0-1) unstable; urgency=medium

  * Forked upstream and renamed it to etbemon

 -- Russell Coker <russell@coker.com.au>  Tue, 25 Jul 2017 22:37:33 +1000

mon (1.2.0-12) unstable; urgency=medium

  * Made btrfs and zfs checks accept low and high numbers for error counts.
  * Add softraid2.monitor which doesn't use diff, has no problems with drive
    ordering, and allows specifying which arrays must exist.

 -- Russell Coker <russell@coker.com.au>  Wed, 12 Jul 2017 23:15:01 +1000

mon (1.2.0-11) unstable; urgency=medium

  * Make zfs.monitor and btrfs.monitor alert when you forget to fix the okcount
    after fixing an error.
  * Made loadavg.monitor correctly sort the CPU time and send a sort error to
    /dev/null
  * Tweaked the output of imapnew.monitor
  * Made the remote.monitor have better debugging and put it in a separate
    patch, also added --exclude option
  * Use /run instead of /var/run
  * Recommend swaks for smtpswaks.monitor
  * Recommend libcgi-pm-perl for monshow
  * Recommend bc for sslcert.monitor
  * Recommend libproc-processtable-perl for ps.monitor

 -- Russell Coker <russell@coker.com.au>  Sun, 18 Jun 2017 18:52:20 +1000

mon (1.2.0-10) unstable; urgency=medium

  * Change to team maintainership.
  * Make loadavg.monitor report on D state processes and processes using the
    most CPU.
  * Added imapnew.monitor to check for new messages via IMAP and recommends
    libmail-imapclient-perl for it.

 -- Russell Coker <russell@coker.com.au>  Tue, 23 May 2017 18:46:51 +1000

mon (1.2.0-9+nmu4) unstable; urgency=medium

  * Use the correct name for the tmpfiles.d file  Closes: #851354

 -- Russell Coker <russell@coker.com.au>  Mon, 16 Jan 2017 12:16:21 +1100

mon (1.2.0-9+nmu3) unstable; urgency=medium

  * Add sslcert.monitor to check certificate expiry and smtpswaks.monitor to
    check mail servers with swaks

 -- Russell Coker <russell@coker.com.au>  Wed, 21 Dec 2016 21:08:11 +1100

mon (1.2.0-9+nmu2) unstable; urgency=medium

  * Move freespace.monitor to local directory.

 -- Russell Coker <russell@coker.com.au>  Wed, 21 Dec 2016 20:47:11 +1100

mon (1.2.0-9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make default config bind to 127.0.0.1  Closes: #820712
  * Add restorecon and tmpfiles.d file     Closes: #822606
  * Don't specify config options on both the default command-line and the
    default configuration file  Closes: #821360
  * Move local monitor scripts to /usr/lib/mon/mon-local.d to separate them
    from network checks  Closes: #847437
  * Added remote.monitor to this package and made it strict. Closes: #847441
    Fixed the problems with it Closes: #824176
  * Added ps.monitor and made it strict. Also made it handle perl, python,
    and lua5.1 interpreters correctly. Closes: #847444
  * Conflicts with mon-contrib <= 1.0+dfsg-3 because of remote.monitor and
    ps.monitor
  * Added mailxmpp.alert, an alert that sends mail and XMPP messages
  * Added linux-temp.monitor for local system temperature and loadavg.monitor
  * Extended ping.monitor to support ipv6 and specifying the ping count

 -- Russell Coker <russell@coker.com.au>  Mon, 12 Dec 2016 10:00:22 +1100

mon (1.2.0-9) unstable; urgency=medium

  * debian/control: 
    - Bump Standards-Version to 3.9.6 (no changes)
    - libtime-modules-perl has been renamed by upstream, so it was 
      updated to it's current name 'libtime-parsedate-perl'
      (Closes: #749875)
  * debian/mon.init.d: required-start facility changed from $all to 
    $syslog to deal with lintian error:
    "E: mon: init.d-script-depends-on-all-virtual-facility 
    etc/init.d/mon required-start"
  * debian/copyright: Years updated to 2014

 -- Dario Minnucci <midget@debian.org>  Sun, 26 Oct 2014 16:23:52 +0100

mon (1.2.0-8) unstable; urgency=low

  * debian/patches:
    - Added 06-fix-dns-monitor.diff: Fixes use of deprecated 
      defined(@array) calls. Thanks to Brogniaux Gaëtan.
      (Closes: #731737)
  * debian/control:
    - Bump Standards-Version to 3.9.5 (no changes)

 -- Dario Minnucci <midget@debian.org>  Tue, 31 Dec 2013 04:16:37 +0100

mon (1.2.0-7) unstable; urgency=low

  * debian/copyright:
    - Upstream-Source URL updated. (Closes: #659993)
    - Years updated to 2013
  * debian/watch: Modified to use SF sources. Thanks to Nick Black.
    (Closes: #695242)
  * debian/mon.dirs: Added /var/lib/mon. Thanks to Andreas Beckmann.
    (Closes: #661087)
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes)
    - Use canonical URI on VCS-* fields

 -- Dario Minnucci <midget@debian.org>  Thu, 21 Feb 2013 03:18:47 +0100

mon (1.2.0-6) unstable; urgency=low

  * debian/control: Really set debhelper compat to >=9.
  * debian/copyright: Source URL updated.
    - Thanks to Jari Aalto <jari.aalto@cante.net> (Closes: #655357) 
  * debian/patches:
    - 04-fix-659152-report.monitor-ignores-command-line-options.diff 
      Fix for report.monitor ignores command-line options. Thanks to 
      Kevin McCormick <kevin@yidtastic.com> (Closes: #659152)
  * debian/mon.postrm: Fix to not remove user 'mon' twice.
    (Closes: #656351)

 -- Dario Minnucci <midget@debian.org>  Sun, 12 Feb 2012 17:00:45 +0100

mon (1.2.0-5) unstable; urgency=low

  * Enable hardened build flags:
    - Added patch 00-mon-hardened-build-flags.diff.
    - Set debhelper compat to 9.
    - Added debian/source.lintian-overrides
      Thanks to Moritz Muehlenhoff. (Closes: #655137)
  * debian/copyright: Copyright years updated.
  * debian/control: Homepage URL updated.

 -- Dario Minnucci <midget@debian.org>  Tue, 10 Jan 2012 13:55:53 +0100

mon (1.2.0-4) unstable; urgency=low

  * debian/mon.{postinst,postrm,preinst}: Better handling of 'mon' 
    user creation/deletion. (Closes: #628082)
  * debian/mon.postinst: Change ownership on /var/log/mon/ to let the
    daemon to write logfiles. (Closes: #645981)
  * debian/copyright:
    - Copyright years updated.
    - Updated for DEP-5 compatibility.
  * debian/control: Upgrade debhelper to >=8
  * debian/mon.doc: Don't install changelog twice.

 -- Dario Minnucci <midget@debian.org>  Fri, 25 Nov 2011 11:28:26 +0100

mon (1.2.0-3) unstable; urgency=low

  * debian/control: Bump Standards-Version to 3.9.2
  * List of dropped alerts and monitors that will be provided by
    a new package 'mon-contrib':
    - 06-add-imap-ssl.monitor.diff
    - 06-add-ipvs.alert.diff
    - 06-add-ipvs.monitor.diff
    - 06-add-smblist.monitor.diff
  * debian/patches:
    - Remove from 04-fix-SNMP-module-calls.diff previous patching
      about SNMP module call on file mon/mon.d/hpnp.monitor.
      Thanks to Marc F. Clemente <marc@mclemente.net> (Closes: #613720)
  * debian/README.Debian: Fix for lintian warning:
    spelling-error-in-readme-debian

 -- Dario Minnucci <midget@debian.org>  Mon, 11 Jul 2011 11:04:57 +0200

mon (1.2.0-2) unstable; urgency=low

  * Hosted under git.debian.org (collab-main branch):
    http://git.debian.org/?p=collab-maint/mon.git
  * debian/control:
    - Updated debhelper dependency to (>= 7.0.50~)
    - Added Vcs-Git and Vcs-Browser fileds
    - Bump Standards-Version to 3.9.1:
      - Switch to dpkg-source 3.0 (quilt) format
  * debian/patches:
    - Added 01-fix-logging-to-syslog.diff. (Closes:#611751)
      Thanks to Allan Wind <allan_wind@lifeintegrity.com>
    - 04-fix-SNMP-module-calls.diff: Modified to use SNMP module.
      (Closes:#596292). Thanks to Marc F. Clemente <marc@mclemente.net>
  * debian/README.Debian:
    - Typos fixed
  * debian/mon.default: Change default state directory to /var/lib/mon
    to give mon a chance to write state information. (Closes:611772)
    Thanks to Allan Wind <allan_wind@lifeintegrity.com>

 -- Dario Minnucci <midget@debian.org>  Sun, 13 Feb 2011 00:53:38 +0100

mon (1.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #433265)
  * Maintainer email address updated
  * debian/mon.default: Added more configuration parameters
  * debian/control:
    - Added 'libtime-modules-perl', 'libcrypt-ssleay-perl' to 'Reccomends'
      needed by 'imap-ssl.monitor' to work.
    - Long description: Project URL updated
    - Patch system moved from 'dpatch' to 'quilt' 
  * debian/patches/*: Added DEP3 headers
    - Reapplied patches:
      - 00_security_fixes.patch: New version has no fix for #496398 this yet
    - Deapplied patches:
      - 01_cfbasedir_fix.patch: Now changes are made via /etc/default/mon file
      - 03_remove_revision_control_headers.patch: New version is not including 
        previous maintainer's revision control headers anymore.
    - Modified patches:
      - 04_fix_SNMP_module_calls.patch: Added fixes on new distributed files:
        - mon.d/hpnp.monitor
        - mon.d/snmpdiskspace.monitor
        - mon.d/snmpvar.monitor
      - 05_manpage_fixes.patch: Splited into independent manpage fixes:
        - 05_manpage_fix_mon.8.patch: For mon.8 manpage.
        - 05_manpage_fix_moncmd.1.patch: For moncmd.1 manpage.
      - 06_add_scripts_for_ipvs: Splited into:
        - 06_add_ipvs.alert.patch
        - 06_add_ipvs.monitor.patch
    - New patches:
      - 06_add_imap-ssl.monitor.patch: Adds imap-ssl.monitor. (Closes: #545160)
      - 06_add_smblist.monitor.patch: Adds smblist.monitor
  * debian/copyright: Updated to DEP5 format proposal.
    (see: http://dep.debian.net/deps/dep5/ for details)
  * debian/mon.init.d: 
    - Change Required-Start to $all to start the daemon the latest possible.
    - Added $remote_fs dependencies

 -- Dario Minnucci <midget@debian.org>  Thu, 21 Jan 2010 17:15:21 +0100

mon (0.99.2-15) unstable; urgency=medium

  * debian/mon.init.d: Fixes to start the daemon later on system boot. 
    (Closes: #547556)
  * debian/control: Removed dependencies on libtime-hires-perl, provided by perl

 -- Dario Minnucci (midget) <debian@midworld.net>  Tue, 22 Sep 2009 16:50:11 +0200

mon (0.99.2-14) unstable; urgency=low

  * debian/control: 
    debhelper compatibility updated to >=7
    ${misc:Depends} added to fix debhelper-but-no-misc-depends lintian warning.
    Standards-Version bumped to 3.8.3: Added debian/README.source file.
  * debian/rules:
    deprecated dh_clean -k in favour of dh_prep
  * debian/mon.dirs:
    Remove creation dirs: usr/lib/mon/cgi-bin/, var/log/mon and var/run/mon
  * debian/mon.init.d:
    Was completely rewritten to be LSB compliant. (Closes: #538133)
    Added support for ENABLED args: "yes", "true" or "1". (Closes: #522546)
    Added dynamical control for recreation of /var/run/mon directory.
  * debian/copyright: Fixed copyright-refers-to-symlink-license
  * debian/README.Debian: Updated
    Explanations on how to use local monitors (Closes: #477164)
  * debian/NEWS.Debian: Removed
  * Added 'set -e' to: mon.mon.preinst, mon.postinst, mon.prerm, mon.postrm
  * debian/patches/05_manpage_fixes: Fixes typos in manpages
  * debian/patches/06_add_scripts_for_ipvs: Add scripts for ipvs support.
    Thanks to Richard Hartmann. (Closes: #500810)
  * Do not apply debian/patches/02_enable_monshow_full_mode.dpatch anymore 
    to revert behaviour of 'monshow --full'. (Closes: #422866) 
  * debian/etc/mon/monshowrc: Provides an initial .monshowrc configuration 
    for monshow.cgi
  * Symbolic links added: 
    monshow.cgi is a symbolic link of /usr/bin/monshow
    .monshowrc is a symbolic link of /etc/mon/monshowrc

 -- Dario Minnucci (midget) <debian@midworld.net>  Thu, 03 Sep 2009 07:29:40 +0200

mon (0.99.2-13) unstable; urgency=low

  * debian/control: Conforms with latest Standards Version 3.8.0
  * debian/control: Added 'Homepage' field 
  * debian/patches/00_security_fixes: (Closes: #496398) 

 -- Dario Minnucci (midget) <debian@midworld.net>  Wed, 10 Sep 2008 14:19:23 +0200

mon (0.99.2-12) unstable; urgency=low

  * debian/control: Maintainer's name changed due to GPG signature update.
  * Changes to run mon as user mon. (Closes: #117550)
  * debian/mon.default: Added. (Closes: #311352)
  * Arguments are now managed in the new /etc/default/mon file which solves bug
    #305108. (Closes: #305108) 
  * debian/mon.init.d: Completely rewritten.
  * debian/mon.postinst: Completely rewritten.
  * debian/mon.postinst: Completely rewritten.
  * debian/mon.preinst: Completely rewritten.
  * debian/mon.prerm: Completely rewritten.
  * debian/patches/01_cfbasedir_fix: More harcoded paths fixed.
  * patches/04_SNMP_module_call_fixes.dpatch: Issued to solve SNMP module
    issue reported on BTS #432858. (Closes: #432858)
      - asyncreboot.monitor: SNMP module call updated.
      - cpqhealth.monitor: SNMP module call updated.
      - foundry-chassis.monitor: SNMP module call updated.
      - na_quota.monitor: SNMP module call updated.
      - netappfree.monitor: SNMP module call updated.
      - process.monitor: SNMP module call updated.
      - reboot.monitor: SNMP module call updated.
      - silkworm.monitor: SNMP module call updated.
      - xedia-ipsec-tunnel.monitor: SNMP module call updated.

 -- Dario Minnucci (midget) <debian@midworld.net>  Mon, 30 Jul 2007 00:56:22 +0200

mon (0.99.2-11) unstable; urgency=low

  * debian/watch: Rewritten to match upstream version format.
  * clients/skymon/skymon.1: Added basic manpage for skymon (Closes: #410614)
  * doc/mon.8: SEE ALSO section updated.
  * doc/moncmd.1: SEE ALSO section updated.
  * doc/monshow.1: SEE ALSO section updated.
  * debian/control: 'Suggests:' upgraded to 'Recommends:' (Closes: #181778).
    For further information, please read NEWS.Debian file.

 -- Dario Minnucci <debian@midworld.net>  Mon,  5 Mar 2007 03:13:44 +0100

mon (0.99.2-10) unstable; urgency=low

  * New maintainer (Closes: #337944)
  * mon.d/smblist.monitor: Added Samba monitor contributed by
    Matthew Astley <mca-gdl@users.sourceforge.net> (Closes: #180872)
  * debian/control: Added dpatch to Build-Depends: (for dpatch support)
  * A few patches were issued:
    - patches/01_cfbasedir_fix: Fixes the configuration base directory.
    - patches/02_enable_monshow_full_mode: Shows all watches on cgi execution.
    - patches/03_remove_revision_control_headers: Removes revision control
      headers from most of the distributed files. (Closes: #322566)
      NOTE: A few headers used within the code still remains there.
      You can find remaining revision control headers the following files:
       - alert.d/file.alert
       - alert.d/netpage.alert
       - alert.d/mail.alert
       - mon
       - mon.d/http_tpp.monitor
       - mon.d/smtp3.monitor
       - mon.d/file_change.monitor
  * debian/NEWS.Debian file added reporting changes 

 -- Dario Minnucci <debian@midworld.net>  Sun, 11 Feb 2007 22:38:27 +0100

mon (0.99.2-9) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #337944
  * Bump compat level to debhelper 5
  * Depend on at least debhelper 5
  * Add missing binary-indep target to debian/rules
  * Update debian/copyright
  * Add missing lsb section to debian/init
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Thu,  2 Nov 2006 16:25:44 +0100

mon (0.99.2-8) unstable; urgency=low

  * msql-mysql.monitor:  Use $dbh->tables rather than
    $dbh->func('_ListTables'), thanks to Clement 'nodens' Hermann and Jade
    Nicoletti (closes: #275347).
  * http_t.monitor:  s/joint/join/, thanks to Bryan Chow (closes: #276553).
  * smtp.monitor:  Support continued quit (221-) messages, thanks to Joe
    Edmonds (closes: #282104).
  * smtp3.monitor:  Support continued banner (220-) messages, thanks to
    Brian Grossman (closes: #296943).

 -- Roderick Schertler <roderick@argon.org>  Fri, 25 Mar 2005 21:44:00 -0500

mon (0.99.2-7) unstable; urgency=low

  * Back-port fix for broken host parsing in auth.cf trap section (closes:
    #251236).
  * Fix "alertafter <time interval>" with fix by Adrian Chung in
    <20021205143828.GA16774@enfusion-group.com>.
  * Bump Standards-Version to 3.6.1 (remove change list from copyright).

 -- Roderick Schertler <roderick@argon.org>  Fri, 20 Aug 2004 15:38:30 -0400

mon (0.99.2-6) unstable; urgency=low

  * Add commented "serverbind" and "trapbind" to default mon.cf (closes:
    #161023).
  * Since doc files may be compressed, say /usr/share/doc/mon/foo* rather
    than /usr/share/doc/mon/foo (closes: #173435).
  * monshow:  Avoid tainted length($SUMMARY) in format eval with Perl 5.8
    (closes: #172906).

 -- Roderick Schertler <roderick@argon.org>  Mon, 10 Mar 2003 13:06:48 -0500

mon (0.99.2-5) unstable; urgency=low

  * Enhance fping.monitor's robustness and output some more.

 -- Roderick Schertler <roderick@argon.org>  Fri,  7 Jun 2002 14:46:52 -0400

mon (0.99.2-4) unstable; urgency=low

  * Have fping.monitor ignore more kinds of informational messages from
    fping.

 -- Roderick Schertler <roderick@argon.org>  Fri,  7 Jun 2002 13:04:48 -0400

mon (0.99.2-3) unstable; urgency=low

  * Oops, postinst is called with a -z "$2", not $# = 1, when installing
    for the first them (closes: #132933).
  * Handling "ICMP Host Unreachable" output from fping (closes: #132357).
  * Correct mon(8) to list failure_interval as a service definition, not a
    period definition (closes: #135174).

 -- Roderick Schertler <roderick@argon.org>  Mon,  3 Jun 2002 14:51:34 -0400

mon (0.99.2-2) unstable; urgency=low

  * Don't use \c in echo, as bash (invoked as sh) doesn't accept it, even
    though it's mandated by POSIX (closes: #112280).

 -- Roderick Schertler <roderick@argon.org>  Sat, 15 Sep 2001 08:46:38 -0400

mon (0.99.2-1) unstable; urgency=low

  * New upstream release (closes: #110030).
  * /etc/init.d/mon:  When stopping the daemon, wait for it to exit for up
    to 60 seconds before continuing, so that a subsequent start doesn't
    fail if it happens too soon.

 -- Roderick Schertler <roderick@argon.org>  Thu, 13 Sep 2001 20:26:25 -0400

mon (0.38.21-5) unstable; urgency=low

  * Correct "set refresh" entry in monshow(1) (closes: #89470).
  * Use /usr/sbin/sendmail, not /usr/lib/sendmail (closes: #107180).

 -- Roderick Schertler <roderick@argon.org>  Tue, 31 Jul 2001 14:05:00 -0400

mon (0.38.21-4) unstable; urgency=high

  * Oops, you can't unconditionally remove the pid file in END, forked
    kids, or people doing --version, or whatever, can hit that.
  * Explicitly set umask in init.d/mon, so group shadow can't write to
    mon's files.

 -- Roderick Schertler <roderick@argon.org>  Tue, 13 Mar 2001 21:40:41 -0500

mon (0.38.21-3) unstable; urgency=low

  * Set all filehandles to close on exec (closes: #85105).

 -- Roderick Schertler <roderick@argon.org>  Mon, 12 Mar 2001 19:39:35 -0500

mon (0.38.21-2) unstable; urgency=medium

  * Oops, monshow needs to untaint its args.
  * Have monshow croak given invalid args, or if a CGI object can't be
    created.
  * Suggest for libauthen-pam-perl, libsnmp-perl (closes: #31149).
  * http.monitor counts a status of 301 as success.
  * reboot.monitor uses $MON_STATEDIR as default state directory, and
    "reboot.monitor" (not "state") as default state file.

 -- Roderick Schertler <roderick@argon.org>  Mon, 12 Mar 2001 08:24:18 -0500

mon (0.38.21-1) unstable; urgency=low

  * New upstream release.
  * Update to policy 3.5.2.
  * Update to latest Perl policy.
  * Alerts are run asychronously.
  * NB:  The default monshow view directory is now /etc/mon/monshow,
    rather than upstream's default of /usr/lib/mon/etc/monshow.

 -- Roderick Schertler <roderick@argon.org>  Wed,  7 Mar 2001 22:09:05 -0500

mon (0.38.20-4) unstable; urgency=low

  * Automatically use mon.cf.m4 if it's present (closes: #79096,
    #79637).
  * Add $args to init.d file.  Comment the more common init.d script
    variables.
  * Add port number to bind() failure error message.
  * Fix documentation for -d, it doesn't take the debug level anymore.

 -- Roderick Schertler <roderick@argon.org>  Fri, 15 Dec 2000 11:32:20 -0500

mon (0.38.20-3) unstable; urgency=low

  * Use $^O rather than $OS (which wasn't set early enough for syslog to
    use /dev/log rather than UDP).

 -- Roderick Schertler <roderick@argon.org>  Tue, 10 Oct 2000 09:51:13 -0400

mon (0.38.20-2) unstable; urgency=low

  * Oops, the new release fixed a bug but I didn't note it (closes: #64712).
  * Fix mon.1 typo (closes: #62196).

 -- Roderick Schertler <roderick@argon.org>  Sun,  8 Oct 2000 10:23:41 -0400

mon (0.38.20-1) unstable; urgency=low

  * New upstream release

 -- Roderick Schertler <roderick@argon.org>  Sat,  7 Oct 2000 23:02:29 -0400

mon (0.38.18-0.1) unstable; urgency=low

  * New upstream release

 -- Christoph Lameter <christoph@lameter.com>  Thu, 11 May 2000 14:41:30 -0700

mon (0.38.15-1) unstable; urgency=low

  * New upstream release.
  * Suggest fping rather than netstd (closes: #49387).
  * NB:  opstatus.cgi went away, use monshow instead.  See README.Debian.

 -- Roderick Schertler <roderick@argon.org>  Fri,  3 Dec 1999 22:13:53 -0500

mon (0.38.14-3) unstable; urgency=low

  * Apply patch from Thomas Quinot <thomas@cuivre.fr.eu.org> to have
    ldap.monitor use Net::LDAP rather than Net::LDAPapi, and suggest
    libnet-ldap-perl (closes: #45591).
  * Oops, add ${shlibs:Depends}.

 -- Roderick Schertler <roderick@argon.org>  Fri, 29 Oct 1999 00:58:01 -0400

mon (0.38.14-2) unstable; urgency=low

  * Oops, mon itself uses Time::HiRes now, switch libtime-hires-perl from
    a suggestion to a dependency (closes: #46221).
  * Add `| perl' to Perl dependency.
  * Prepend mon.d and alert.d in /usr/local/lib/mon to script/alert search
    path.
  * Switch to /usr/share/doc with new debhelper.

 -- Roderick Schertler <roderick@argon.org>  Wed, 29 Sep 1999 12:06:15 -0400

mon (0.38.14-1) unstable; urgency=low

  * New upstream release (closes: #37775).
  * Run as daemon.shadow rather than daemon.daemon (closes: #34960).
  * Suggest libnet-telnet-perl for telnet.monitor and
    libfilesys-diskspace-perl for freespace.monitor.

 -- Roderick Schertler <roderick@argon.org>  Sun,  5 Sep 1999 16:50:03 -0400

mon (0.37l-2) unstable; urgency=low

  * Sorry, new upstream version isn't packaged yet.
  * Suggest libnet-dns-perl (closes: #31785, #39879).
  * Simple updates for 3.0.0 standards.
  * Simple updates for new Perl policy (closes: #41465).

 -- Roderick Schertler <roderick@argon.org>  Sat, 17 Jul 1999 17:20:34 -0400

mon (0.37l-1) unstable; urgency=low

  * New upstream release.
  * There's now an authorization file which you'll need to edit to allow
    users to control the daemon.  By default root can do anything, others
    can only read.  Authorization requires password entry at the moment
    and only moncmd does it.

 -- Roderick Schertler <roderick@argon.org>  Mon, 12 Oct 1998 23:05:42 -0400

mon (0.37k-3) unstable; urgency=low

  * In fping.monitor, discard fping's stderr so the summary line is
    correct, and do more complete handling of fping's return code.

 -- Roderick Schertler <roderick@argon.org>  Sun, 11 Oct 1998 17:23:07 -0400

mon (0.37k-2) unstable; urgency=low

  * Add patch from Dave Holland to allow smtp.monitor to handle multiline
    responses (closes: #21274).

 -- Roderick Schertler <roderick@argon.org>  Fri, 29 May 1998 12:32:54 -0400

mon (0.37k-1) unstable; urgency=low

  * New upstream release.

 -- Roderick Schertler <roderick@argon.org>  Sat, 23 May 1998 11:28:47 -0400

mon (0.37h-3) frozen unstable; urgency=low

  * Use perl rather than su to run the daemon as daemon, and add /sbin to
    $PATH in the init script (closes: #20384).
  * Have the init script display a better diagnostic if called without
    args (closes: #20383).
  * Oops, build in binary-indep, not binary-arch.
  * Remove dependency lines from the example mon.cf, they aren't actually
    implemented yet but seeing them there makes people think they are.

 -- Roderick Schertler <roderick@argon.org>  Fri,  3 Apr 1998 23:53:31 -0500

mon (0.37h-2) unstable; urgency=low

  * Add missing libtime-period-perl dependency.
  * Stop running dh_du.

 -- Roderick Schertler <roderick@argon.org>  Wed, 25 Feb 1998 10:14:35 -0500

mon (0.37h-1) unstable; urgency=low

  * Initial version.

 -- Roderick Schertler <roderick@argon.org>  Tue, 17 Feb 1998 21:09:00 -0500

